% Parameter und Vorberechnungen fr Simulink Simulationsprogramm Gel1-Geschw_PI und Gel1_Lage_PI
% (Matlab\IR_Buch\rocsy_reg\Gel1_PI_Par.
% Das Programm wird hier fr Gelenk 1 benutzt
% Es wird quasikontinuierlich simuliert
% W. Weber November 2001, Letzte nderung: 23.11.01
%

%1. Streckenparameter

M_Quer=29;% mittlerer Wert
M_Max=52; % maximaler Wert
M_Min=6; % minimaler Wert
KMI=1;
FD=0;

FM=9.875e-4;
JA=7.62e-4;
C=0.36;
u=160;
rh=0.45; % 0.5 Nm auf der Antriebsseite
eps=0.002; % ist qp kleiner eps, wird qp=0 angenommen, nur fr Haftreibung 

% 2. Berechnungen zur Strecke unter der Annahme: mittlerer Trgheit
KM=C/KMI
M_Stern=(1/KM)*(M_Quer/u + JA*u)
FD_Stern=(1/KM)*(FD/u + FM*u)

K_St=1/FD_Stern
T_St=M_Stern/FD_Stern

z0=(1/KM)*(rh);  %Haftreibung umgerechnet in Steuerspannung

%3. Bahnparameter
qA=0; % Startwert
vm=2;
bm=4;
se=pi/2;
Vorz=1;

tb=vm/bm;
tv=se/vm;
te=tv+tb

%3. Regelungsparameter

%3.1 PI-Geschwindigkeitsregler 
d=0.707 
T=0.05
KP=(1/K_St)*(2*d*T_St-T)/T % siehe Buch Kap 7.2.2, Gl. 7.11
TN=T*(2*d-T/T_St) % siehe Buch Kap 7.2.2

% hier wird nochmal M fr die Simulation gesondert bercksichtigt: Entworfen auf 
% M_Quer, simuliert mit M_Max oder M_Min oder M_Quer
%M_Stern=(1/KM)*(M_Quer/u + JA*u)
M_Stern=(1/KM)*(M_Max/u + JA*u)
%M_Stern=(1/KM)*(M_Min/u + JA*u)


T_St=M_Stern/FD_Stern

% Berechnung von KL ber Glg. (7.31)
% Lageregler
% Nach Bild 7.10 fr M=M_Quer
dR=0.485, TR=0.021
phir=80*pi/180  % Phasenreserve in rad;
c0=atan(pi/2-phir) % Gl. (7.30)
omd=(1/TR)*(-dR/c0 + sqrt(dR^2/c0^2 + 1))   % Gl. 7.30
KL=omd*sqrt((1-TR^2*omd^2)+4*dR^2*TR^2*omd^2)

%Geschwindigkeitsvorsteuerung
KVor=1

% Fr digitale Regelung
TA=0.001
