% Parameter und Vorberechnungen fr Simulink Simulationsprogramm Gel1-Geschw_Red und Gel1_Lage_Red
% (Matlab\IR_Buch\rocsy_reg\Gel1_Red_Par.
% Das Programm wird hier fr Gelenk 1 benutzt
% Es wird quasikontinuierlich simuliert
% W. Weber November 2001, Letzte nderung: 23.11.01
%

%1. Streckenparameter

M_Quer=29;% mittlerer Wert
M_Max=52; % maximaler Wert
M_Min=6; % minimaler Wert

KMI=1;
FD=0;
FM=9.875e-4;
JA=7.62e-4;
C=0.36;
u=160;
rh=0.5; % 0.5 Nm auf der Antriebsseite
eps=0.002; % ist qp kleiner eps, wird qp=0 angenommen (nur fr Haftreibung)


z0=(1/KM)*(rh); % Haftreibung als Strung umgerechnet in sTEUERSPANNUNG

%3. Bahnparameter
qA=0; % Startwert
vm=2;
bm=4;
se=pi/2;
Vorz=1;

tb=vm/bm;
tv=se/vm;
te=tv+tb

%3. Regelungsparameter


% hier wird M fr die Simulation gesondert bercksichtigt: Redus Entworfen auf 
% M_Max, simuliert mit M_Max , M_Quer oder M_Min
M_Stern=(1/KM)*(M_Min/u + JA*u)
FD_Stern=(1/KM)*(FD/u + FM*u)
K_St=1/FD_Stern;
T_St=M_Stern/FD_Stern

% Auslegung des ReDuS-Reglers
M_Stern_Max=(1/KM)*(M_Max/u + JA*u)
T_St_max=M_Stern_Max/FD_Stern


ue=0.175   % berschwingweite
Tan=0.05   % Anregelzeit

dR=1/sqrt(1+(pi/log(ue))^2)
TR=Tan*sqrt(1-dR^2)/(pi-acos(dR))

beta=0;
KI=T_St_max/(K_St*TR^2)
alpha=2*dR*TR*KI-(1/K_St)

% Lageregler
phir=80*pi/180  % Phasenreserve in rad;
c0=atan(pi/2-phir) % Gl. (7.30)
omd=(1/TR)*(-dR/c0 + sqrt(dR^2/c0^2 + 1))   % Gl. 7.30
KL=omd*sqrt((1-TR^2*omd^2)+4*dR^2*TR^2*omd^2)

KVor=1
